Description

Under Rails 5, calling #to_sentence on an association (such as SmartProxy.first.features.to_sentence) no longer works - it's only

implemented on Array. It causes:

AboutControllerTest#test_index:

ActionView::Template::Error: undefined method `to_sentence' for #&lt;Feature::ActiveRecord_Associa

tions_CollectionProxy:0x00000011e105f8&gt;

    app/views/about/index.html.erb:35:in `block in app_views_about_index_html_erb

_1374804635064850089_72097840'

    app/views/about/index.html.erb:32:in `_app_views_about_index_html_erb__1374804635064850089_720

97840'

 In a few views .to_sentence is used on an association when it should first call .pluck to retrieve a specific column or call .to_s on the

models, before converting to a sentence.

Associated revisions

Revision b6db72b1 - 10/04/2016 11:06 AM - Dominic Cleal

fixes #16786 - don't call to_sentence on associations

History

#1 - 10/04/2016 08:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3912 added

#2 - 10/04/2016 12:03 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b6db72b1e59316a9f6f66c276570b135cc807dd7.

#3 - 10/05/2016 05:40 AM - Dominic Cleal

- translation missing: en.field_release set to 189
